<?php

if(empty($_SERVER['HTTP_X_REQUESTED_WITH']) or strtolower($_SERVER['HTTP_X_REQUESTED_WITH']) != 'xmlhttprequest') {exit;}

require_once '../incfiles/core.php';
require_once '../incfiles/auth.php';
require_once '../incfiles/user.php';
require_once '../autoload/user.php';
require_once '../autoload/journal.php';
require_once '../autoload/smiles.php';	

		
if (!empty($user['notifications'])) mysql_query("UPDATE `users` SET `notifications` = '' WHERE `id` = '".$user_id."'");

if (!empty($_GET['id']) && is_numeric($_GET['id']))
{
	$id = abs(intval($_GET['id']));
	$result = mysql_query("SELECT * FROM `mail_dialog` WHERE `for_id` = '".$user_id."' AND `from_id` = '".$id."' LIMIT 1");
	if (mysql_num_rows($result) == false) exit;
	$arr_dialog = mysql_fetch_array($result);

if ($arr_dialog['user_pen']>(time()-5)){
?><script type="text/javascript">$('#user_pen').show();</script><?
}else{
?><script type="text/javascript">$('#user_pen').hide();</script><?
}
if ($_GET['user_pen'] == 1) mysql_query("UPDATE `mail_dialog` SET `user_pen` = '".time()."' WHERE `for_id` = '".$id."' AND `from_id` = '".$user_id."' LIMIT 1");
	
	if ($arr_dialog['count'] > 0) // Якщо є вхідні повідомлення від співбесідника - оновлюємо діалог
	{
		$user['notifications_mail'] = $user['notifications_mail']-$arr_dialog['count'];
		?>
		<script type="text/javascript">
		$('#user_pen').hide();
		Dialog.Refresh(<?echo$arr_dialog['from_id'];?>);
		</script>
		<?
	}
	if ($arr_dialog['np'] == 0) // Якщо вихідні повідомлення прочитані
	{
		?>
		<script type="text/javascript">
		$('#refresh_dialog .block1').css('background','none');
		</script>
		<?
	}
}
		?>
		<script type="text/javascript">
		$('#count_mail').html("<?echo ($user['notifications_mail']>0?'<b>'.$user['notifications_mail'].'</b>':'');?>");
		$('#count_mail_mobile').html("<?echo ($user['notifications_mail']>0?'<b>'.$user['notifications_mail'].'</b>':'');?>");
		</script>
		<?	
	
	if (empty($user['notifications_friends']))
	{
		?>
		<script type="text/javascript">
		$('#count_friends').html("");
		$('#count_friends_mobile').html("");
		</script>
		<?	
	}
	if (empty($user['notifications_journal']))
	{
		?>
		<script type="text/javascript">
		$('#count_journal').html("");
		$('#count_journal_mobile').html("");
		</script>
		<?	
	}

	if (!empty($user['notifications']) && $user['notifications_mail'] > 0) // Якщо є вхідні повідомлення не від співбесідника, виводимо блок сповіщення
	{
		$arr_mail = mysql_fetch_array(mysql_query("SELECT * FROM `mail_dialog` WHERE `for_id` = '".$user_id."' AND `count` > 0 ORDER by `time` DESC LIMIT 1"));
		if ($arr_mail['from_id'] != $id) // Виводимо блок сповіщення, якщо сповіщення не від співбесідника
		{
			echo '<audio autoplay="autoplay" src="'.URL.'/notifications/sound.ogg"></audio>';
			$block_mail = '<div class="block_notification" id="block_notification_close_'.$arr_mail['time'].'"><div class="right"><a href="" onclick="Notifications.Close('.$arr_mail['time'].'); return false"><img src="'.URL.'/design/img/closed.png"></a></div>'.user_name($arr_mail['from_id']).'<ul><a style="color:#FFFFFF;" href="'.URL.'/mail/?id='.$arr_mail['from_id'].'" onclick="Page.Go(this.href); Notifications.Close('.$arr_mail['time'].'); return false">'.smiles($arr_mail['text']).'</a></ul></div>';
			?>
			<script type="text/javascript">
			$('#panel_notifications').append('<?echo$block_mail;?>');
			$('.block_notification').slideDown(200);
			</script>
			<?
		}
		?>
		<script type="text/javascript">
		$('#count_mail').html("<?echo'<b>'.$user['notifications_mail'].'</b>';?>");
		$('#count_mail_mobile').html("<?echo'<b>'.$user['notifications_mail'].'</b>';?>");
		</script>
		<?
	}
	

// Сповіщенн про нових друзів
if (!empty($user['notifications']) && $user['notifications_friends'] > 0) // Якщо є вхідні заявки на дружбу, виводимо блок сповіщення
{
		$arr_friend = mysql_fetch_array(mysql_query("SELECT * FROM `notifications` WHERE `for_id` = '".$user_id."'  AND `mod` = 'friends' AND `type` = 'new_friend' ORDER by `time` DESC LIMIT 1"));
		echo '<audio autoplay="autoplay" src="'.URL.'/notifications/sound.ogg"></audio>';
		$block_friend = '<div class="block_notification" id="block_notification_close_'.$arr_friend['time'].'"><div class="right"><a href="" onclick="Notifications.Close('.$arr_friend['time'].'); return false"><img src="'.URL.'/design/img/closed.png"></a></div>'.user_name($arr_friend['from_id']).'<ul><a style="color:#DCDCDC;" href="'.URL.'/friends/z_in.php" onclick="Page.Go(this.href); Notifications.Close('.$arr_friend['time'].'); return false">'.lang('Предлогает дружбу','Пропонує дружбу').'</a></ul></div>';
			?>
			<script type="text/javascript">
			$('#count_friends').html("<?echo'<b>'.$user['notifications_friends'].'</b>';?>");
			$('#count_friends_mobile').html("<?echo'<b>'.$user['notifications_friends'].'</b>';?>");
			$('#panel_notifications').append('<?echo$block_friend;?>');
			$('.block_notification').slideDown(200);
			</script>
			<?
}


// Сповіщення в Журналі
if (!empty($user['notifications']) && $user['notifications_journal'] > 0)
{
	$arr = mysql_fetch_array(mysql_query("SELECT * FROM `notifications` WHERE `for_id` = '".$user_id."' ORDER by `time` DESC LIMIT 1"));
	echo '<audio autoplay="autoplay" src="'.URL.'/notifications/sound.ogg"></audio>';
			?>
			<script type="text/javascript">
			$('#count_journal').html("<?echo'<b>'.$user['notifications_journal'].'</b>';?>");
			$('#count_journal_mobile').html("<?echo'<b>'.$user['notifications_journal'].'</b>';?>");
			$('#panel_notifications').append('<?echo notifications_journal($arr,'notifications');?>');
			$('.block_notification').slideDown(200);
			</script>
			<?
}
	
?>
